import request from '@/utils/request'

// 查询账单记录列表
export function listRecord(data) {
  return request({
    url: '/tOrderRecord/list',
    method: 'post',
    data: data
  })
}
// 查询账单记录列表-统计业主入账和平台提成
export function getAcountStatics(data) {
  return request({
    url: '/tOrderRecord/getAcountStatics',
    method: 'post',
    data: data
  })
}

// 查询账单记录详细
export function getRecord(id) {
  return request({
    url: '/tOrderRecord/' + id,
    method: 'get'
  })
}

// 新增账单记录
export function addRecord(data) {
  return request({
    url: '/tOrderRecord',
    method: 'post',
    data: data
  })
}

// 修改账单记录
export function updateRecord(data) {
  return request({
    url: '/tOrderRecord',
    method: 'put',
    data: data
  })
}

// 删除账单记录
export function delRecord(id) {
  return request({
    url: '/tOrderRecord/' + id,
    method: 'delete'
  })
}

// 导出账单记录
export function exportRecord(query) {
  return request({
    url: '/tOrderRecord/export',
    method: 'get',
    params: query
  })
}
